
From: Dave Hansen <haveblue@us.ibm.com>

__alloc_bootmem_core() has a couple of BUG_ON()'s.  Since the handlers
aren't set up this early, if you hit it, you just get along stream of
"Unknown Interrupt" messages.  It would be very nice to have a little
bit more information when something has decided to BUG() out this
early.  



 25-akpm/mm/bootmem.c |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletion(-)

diff -puN mm/bootmem.c~alloc_bootmem_core-BUG-fix mm/bootmem.c
--- 25/mm/bootmem.c~alloc_bootmem_core-BUG-fix	Fri Jun  6 12:41:06 2003
+++ 25-akpm/mm/bootmem.c	Fri Jun  6 12:41:06 2003
@@ -151,7 +151,11 @@ __alloc_bootmem_core(struct bootmem_data
 	unsigned long i, start = 0, incr, eidx;
 	void *ret;
 
-	BUG_ON(!size);
+	if(!size) {
+		printk("__alloc_bootmem_core(): zero-sized request\n");
+		dump_stack();
+		BUG();
+	}
 	BUG_ON(align & (align-1));
 
 	eidx = bdata->node_low_pfn - (bdata->node_boot_start >> PAGE_SHIFT);

_
